import { createApp } from "vue";
import "./style.css";
import App from "./App.vue";
import {router} from "@/router/index";
import { createPinia } from "pinia";
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import vhCheck from 'vh-check'

// 引入 Element Plus
import ElementPlus from 'element-plus'
// 使用自定义主题
import './styles/element-variables.scss'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'

const pinia = createPinia();
pinia.use(piniaPluginPersistedstate)

const app = createApp(App);
app.use(pinia);
app.use(router);
app.use(ElementPlus, {
  locale: zhCn,
})
app.mount("#app");
vhCheck()